/*
# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Sant)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------
*/


#ifndef __creaImageIOWxAttributeSelectionPanel_h_INCLUDED__
#define __creaImageIOWxAttributeSelectionPanel_h_INCLUDED__

#ifdef USE_WXWIDGETS
#include <creaWx.h>
#include <creaImageIOWxGimmickView.h>
#include <wx/listctrl.h>


namespace creaImageIO
{
  /**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
  class WxAttributeSelectionPanel : public wxPanel
  {
  public:
    WxAttributeSelectionPanel();    
	WxAttributeSelectionPanel(wxWindow *parent, 
		wxDialog* dial,
		WxGimmickView* view,
		std::vector<std::string> sAtts,
	    std::vector<std::string> nsAtts,
		int numLev);
    
    ~WxAttributeSelectionPanel();
	///Saves the configuration
	 void OnSaveConfig(wxCommandEvent& event);
	 ///Changes items from shown to notShown
	 void OnAdd(wxCommandEvent& event);
	 ///Changes items from notShown to shown
	 void OnRemove(wxCommandEvent& event);
	 void OnComboChange(wxCommandEvent& event);
  

  private :
	  ///Loads the information on the vectors onto the lists
	   void LoadCtrls();
	  std::vector<std::string> shownA;
	  std::vector<std::string> notShownA;
	  wxComboBox* levels;
	  wxListCtrl* shownAtts;
	  wxListCtrl* notShownAtts;
	wxDialog* dialog;
	WxGimmickView* mView;

	
	DECLARE_EVENT_TABLE()

  }; // class WxAttributeSelectionPanel
  //=====================================================================

  
} // EO namespace creaImageIO


#endif // USE_WIDGETS
// EOF
#endif

